@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

:root {
    color: #fff;
    background: #111;
    font-family: "Source Code Pro", sans-serif;
}

body {
    margin: 0;
}

main {
    min-height: calc(100vh - 48px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

footer {
    background: #333;
    height: 48px;
    color: #ccc;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

footer img {
    height: 36px;
    border-radius: 4px;
}

.column {
    display: flex;
    flex-direction: column;
    /*align-items: center;*/
    /*justify-content: center;*/
}

.row {
    display: flex;
    flex-direction: row;
}

.flex-center {
    align-items: center;
    justify-content: center;
}

.no-margins * {
    margin: 0;
}

.logo {
    height: 2.5em;
    margin-right: 8px !important;
}

footer * {
    margin: 0;
}

.form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;

    padding: 24px;
    background: #222;
    gap: 4px;
    border-radius: 12px;
}

input {
    font-family: "Source Code Pro", sans-serif;
    font-size: 1em;
    color: #fff;
    background: #111;
    border: 1px solid #333;
    border-radius: 4px;
    padding: 4px;
    transition-duration: 0.2s;
}

input[type="radio"], input[type="checkbox"] {
    width: .8em;
    height: .8em;
    margin: 3px;
}

input:focus:not(:disabled), input:hover:not(:disabled) {
    background: #222;
    border: 1px solid #f60;
    outline: none;
}

input:disabled {
    background: #333;
    color: #999;
    border: 1px solid #555;
}

.error {
    padding: 4px;
    border: 1px solid #922;
    background: #611;
    color: #fff;
    border-radius: 4px;
    margin: 0;
    text-align: center;
}

.success {
    padding: 4px;
    border: 1px solid #292;
    background: #161;
    color: #fff;
    border-radius: 4px;
    margin: 0;
    text-align: center;
}

.help-link {
    color: #ccc;
    text-decoration-color: #0000;
    text-align: center;
}

.help-link:hover {
    text-decoration-color: #ccc;
}

.consent {
    text-align: center;
}

.consent * {
    margin: 0;
}

.consent form {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.answer {
    background: #181818;
    border-radius: 4px;
    padding: 4px;
}
